## python-babel 1.3+dfsg.1

=== Makefile ===
test: import-cldr
	@py.test tests

test-env:
	@virtualenv test-env
	@test-env/bin/pip install pytest
	@test-env/bin/pip install --editable .

clean-test-env:
	@rm -rf test-env

standalone-test: import-cldr test-env
	@test-env/bin/py.test tests

clean: clean-cldr clean-pyc clean-test-env

import-cldr:
	@python scripts/download_import_cldr.py

clean-cldr:
	@rm babel/localedata/*.dat
	@rm babel/global.dat

clean-pyc:
	@find . -name '*.pyc' -exec rm {} \;
	@find . -name '__pycache__' -type d | xargs rm -rf

develop:
	@pip install --editable .

tox-test: import-cldr
	@tox

upload-docs:
	$(MAKE) -C docs html dirhtml latex
	$(MAKE) -C docs/_build/latex all-pdf
	cd docs/_build/; mv html babel-docs; zip -r babel-docs.zip babel-docs; mv babel-docs html
	rsync -a docs/_build/dirhtml/ pocoo.org:/var/www/babel.pocoo.org/docs/
	rsync -a docs/_build/latex/Babel.pdf pocoo.org:/var/www/babel.pocoo.org/docs/babel-docs.pdf
	rsync -a docs/_build/babel-docs.zip pocoo.org:/var/www/babel.pocoo.org/docs/babel-docs.zip

release: import-cldr
	python scripts/make-release.py

.PHONY: test develop tox-test clean-pyc clean-cldr import-cldr clean release upload-docs clean-test-env standalone-test

## python-babel 1.3%2Bdfsg.1

=== debian/changelog ===
python-babel (1.3+dfsg.1-2ubuntu1) trusty; urgency=medium

  * Don't touch pyshared in debian/rules.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 15 Jan 2014 07:38:16 +0100

python-babel (1.3+dfsg.1-2) unstable; urgency=low

  * Fixes upgrade from 1.3-2 that was deleting files from the -localedata
    folder (Closes: #728427).
  * Adds patch to fix-up locales in the currency name test, which caused FTBFS
    in a sbuild chroot (Closes: #728425). Thanks Andrey Rahmatullin for
    reporting, and James Page for his patch.
  * Corrects debian/copyright to include the license of the CLDR data. Thanks
    to Andrey Rahmatullin for reporting. (Closes: #729084).

 -- Thomas Goirand <zigo@debian.org>  Thu, 21 Nov 2013 16:23:56 +0000

python-babel (1.3+dfsg.1-1) unstable; urgency=low

  * Updates the VCS fields URLs.
  * Now repacks upstream tarball to make it DFSG-Free: added a
    get-orig-source and a debian/repack script (Closes: #727615).
  * Adds a python-babel-localedata package containing the data files for both
    python-babel and python3-babel (Closes: #727617).
  * Runs the test suite at build time (Closes: #727616).

 -- Thomas Goirand <zigo@debian.org>  Wed, 23 Oct 2013 05:29:57 +0000

python-babel (1.3-2) unstable; urgency=low

  * Adds missing Replaces + Breaks in the doc package (Closes: #726043).
  * Fixes the handling of alternatives removal, thanks to Andreas Beckmann
    <anbe@debian.org> for his extensive explanations in his bug report
    (Closes: #726621).
  * Updates debian/copyright to the currenty babel 1.3 licensing, thanks to
    Sebastian Ramacher for reporting this.
  * For the -doc package, removes wrong dependency on python3-pkg-resources,
    added missing depends on ${sphinxdoc:Depends}. Thanks to Sebastian
    Ramacher for reporting
  * Add myself as uploader.

 -- Thomas Goirand <zigo@debian.org>  Wed, 23 Oct 2013 04:53:40 +0000

python-babel (1.3-1) unstable; urgency=low

  * Team upload.
  * New upstream release.
  * Standard-Version is now 3.9.4.
  * Ran wrap-and-sort.
  * debian/copyright is now in parseable format 1.0.
  * Switched to 3.0 (quilt) source format.
  * Switched to debhelper and compat level 9.
  * Drops obsolete python-pybabel package.
  * Drops Replaces:+Conflicts: python-pybabel (<< 0.9.6-1~).
  * Adds Recommends: ${python:Recommends}.
  * Adds support for python3, rewrote the debian/rules using the dh short
    style with python_distutils.
  * Updated debian/watch file to use PyPi.
  * Using sphinx-build to build the doc.
  * Updated homepage to http://babel.pocoo.org/.

 -- Thomas Goirand <zigo@debian.org>  Fri, 04 Oct 2013 18:33:36 +0000

python-babel (0.9.6-1) unstable; urgency=low

  [ Andrey Rahmatullin ]
  * New upstream version (Closes: #584893)
  * Rename to python-babel (Closes: #556377)
  * Enable build time tests
  * Update Standards-Version to 3.9.2 (no change needed)
  * Update debhelper compatibility level to 8
  * Switch from dh_pysupport to dh_python2
  * Add the Homepage field
  * Register HTML docs with doc-base

 -- Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>  Fri, 25 Feb 2011 23:06:10 +0500

python-pybabel (0.9.4-2) unstable; urgency=low

  [ Kumar Appaiah ]
  * debian/rules:
    + Add --prefix=/usr to setup.py install call to prevent
      files being installed on /usr/local. (Closes: #556156)
  * debian/control
    + Standards version is now 3.8.3 (no changes needed).

 -- Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>  Sat, 14 Nov 2009 10:00:38 -0500

python-pybabel (0.9.4-1) unstable; urgency=low

  [ Piotr Ożarowski ]
  * New upstream release
  * Add Vcs-Svn and Vcs-Browser fields (pointing to DPMT repository)
  * Priority changed to optional

 -- Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>  Sun, 28 Dec 2008 20:35:43 +0100

python-pybabel (0.9.1-9) unstable; urgency=low

  * Added conflict against python-babel (closes: #493742) because both
    python-pybabel and python-babel install as the same egg-info name
    'babel'. The python-babel package will get fixed soon and this
    conflict will get removed again.

 -- Christoph Haas <haas@debian.org>  Tue, 23 Sep 2008 22:53:19 +0200

python-pybabel (0.9.1-8) unstable; urgency=high

  * Bumped policy version.
  * Debian package repository moved from Hg to Git (XS-Vcs-Git)

 -- Christoph Haas <haas@debian.org>  Sat, 13 Sep 2008 17:50:35 +0200

python-pybabel (0.9.1-7) unstable; urgency=low

  * Added dependency on python-pkg-resources (Closes: #498238).
    (Thanks, Jens Breit and Serafeim Zanikolas)

 -- Christoph Haas <haas@debian.org>  Sat, 13 Sep 2008 17:14:46 +0200

python-pybabel (0.9.1-6) unstable; urgency=high

  * Renaming the package from 'python-babel' to 'python-pybabel'
    due to a name clash with another 'python-babel' package that
    has been existing in Debian since 2003. (Closes: #461087)
  * Urgency set to high to get the package back into Debian quickly.
    The release team (Adeodato Simó aka 'dato') has agreed to unblock this
    package during the Lenny freeze.

 -- Christoph Haas <haas@debian.org>  Thu, 24 Jul 2008 16:52:50 +0200

python-babel (0.9.1-5) unstable; urgency=low

  * Added build dependency on python-setuptools (Closes: #467188)

 -- Christoph Haas <haas@debian.org>  Sun, 24 Feb 2008 15:59:39 +0100

python-babel (0.9.1-4) unstable; urgency=low

  * xargs in debian/rules now called with -r so it does not fail if "find"
    does not find files while fixing egg-info permissions (Closes: #464306)

 -- Christoph Haas <haas@debian.org>  Sat, 09 Feb 2008 09:33:52 +0100

python-babel (0.9.1-3) unstable; urgency=low

  * Previous uploaded wasn't built with -v so the ITP closing
    wasn't included in the .changes file.

 -- Christoph Haas <haas@debian.org>  Sat, 26 Jan 2008 10:36:14 +0100

python-babel (0.9.1-2) unstable; urgency=low

  * Incorrect suggestion dependency for python-babel-doc removed



=== debian/control ===
Source: python-babel
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Christoph Haas <haas@debian.org>, Thomas Goirand <zigo@debian.org>
Build-Depends: debhelper (>= 9),
               python-all (>= 2.6.6-3),
               python-pytest,
               python-setuptools,
               python-sphinx | python3-sphinx,
               python-tz,
               python3-all,
               python3-setuptools,
               python3-tz
Standards-Version: 3.9.4
Homepage: http://babel.pocoo.org/
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-babel/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-babel/trunk/

Package: python-pybabel
Architecture: all
Section: oldlibs
Depends: python-babel, ${misc:Depends}
Description: tools for internationalizing Python applications (transitional dummy package)
 Babel is composed of two major parts. First tools to build and work with
 gettext message catalogs. Second a Python interface to the CLDR (Common
 Locale Data Repository), providing access to various locale display
 names, localized number and date formatting, etc.
 .
 This is a dummy package for transition from python-pybabel to python-babel.

Package: python-babel
Architecture: all
Depends: python-babel-localedata (= ${source:Version}), python-pkg-resources, ${misc:Depends}, ${python:Depends}
Recommends: ${python:Recommends}
Description: tools for internationalizing Python applications - Python 2.x
 Babel is composed of two major parts. First tools to build and work with
 gettext message catalogs. Second a Python interface to the CLDR (Common
 Locale Data Repository), providing access to various locale display
 names, localized number and date formatting, etc.
 .
 This package provides the Python 2.x module.

Package: python3-babel
Architecture: all
Depends: python-babel-localedata (= ${source:Version}), python3-pkg-resources, ${misc:Depends}, ${python3:Depends}
Recommends: ${python3:Recommends}
Description: tools for internationalizing Python applications - Python 3.x
 Babel is composed of two major parts. First tools to build and work with
 gettext message catalogs. Second a Python interface to the CLDR (Common
 Locale Data Repository), providing access to various locale display
 names, localized number and date formatting, etc.
 .
 This package provides the Python 3.x module.

Package: python-babel-localedata
Architecture: all
Depends: ${misc:Depends}
Description: tools for internationalizing Python applications - locale data files
 Babel is composed of two major parts. First tools to build and work with
 gettext message catalogs. Second a Python interface to the CLDR (Common
 Locale Data Repository), providing access to various locale display
 names, localized number and date formatting, etc.
 .
 This package contains the locale data files used by both python-babel and
 python3-babel.

Package: python-babel-doc
Architecture: all
Section: doc
Breaks: python-babel (<< 1.3-1)
Replaces: python-babel (<< 1.3-1)
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: tools for internationalizing Python applications - documentation
 Babel is composed of two major parts. First tools to build and work with
 gettext message catalogs. Second a Python interface to the CLDR (Common
 Locale Data Repository), providing access to various locale display
 names, localized number and date formatting, etc.
 .
 This package contains the Babel documentation.

## python-babel 1.3+dfsg.1

=== debian/changelog ===
python-babel (1.3+dfsg.1-2ubuntu2) trusty; urgency=medium

  * Backport the python-babel package scripts from 1.3+dfsg.1-3 to fix upgrade
    issue with the directory to symlink conversion (lp: #1299442)

 -- Michael Bienia <geser@ubuntu.com>  Sun, 18 May 2014 11:55:11 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-babel
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Christoph Haas <haas@debian.org>, Thomas Goirand <zigo@debian.org>
 Build-Depends: debhelper (>= 9),
                python-all (>= 2.6.6-3),

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_auto_build:
	dh_auto_build -O--buildsystem=python_distutils
	# Generate the localedata folder data out of the xml files
	# downloaded in debian/repack
	scripts/import_cldr.py common

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf babel/localedata/*.dat babel/global.dat

override_dh_auto_install:
	set -e && for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-babel; \
	done
	set -e && for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-babel; \
	done
	mv debian/python-babel/usr/bin/pybabel debian/python-babel/usr/bin/pybabel-python2
	mv debian/python3-babel/usr/bin/pybabel debian/python3-babel/usr/bin/pybabel-python3

override_dh_python2:
	dh_python2 -O--buildsystem=python_distutils
	set -e && for pyvers in $(PYTHONS); do \
		rm debian/python-babel/usr/lib/python$$pyvers/dist-packages/babel/localedata/*.dat ; \
		rmdir debian/python-babel/usr/lib/python$$pyvers/dist-packages/babel/localedata ; \
		ln -s ../../../../share/python-babel-localedata/localedata debian/python-babel/usr/lib/python$$pyvers/dist-packages/babel/localedata ; \
		rm debian/python-babel/usr/lib/python$$pyvers/dist-packages/babel/global.dat ; \
		ln -s ../../../../share/python-babel-localedata/global.dat debian/python-babel/usr/lib/python$$pyvers/dist-packages/babel/global.dat ; \
	done

override_dh_python3:
	dh_python3 -O--buildsystem=python_distutils
	rm -r debian/python3-babel/usr/lib/python3/dist-packages/babel/localedata ; \
	ln -s ../../../../share/python-babel-localedata/localedata debian/python3-babel/usr/lib/python3/dist-packages/babel/localedata ; \
	rm -r debian/python3-babel/usr/lib/python3/dist-packages/babel/global.dat ; \
	ln -s ../../../../share/python-babel-localedata/global.dat debian/python3-babel/usr/lib/python3/dist-packages/babel/global.dat ; \

override_dh_installdocs:
	sphinx-build docs docs/_build
	dh_installdocs -O--buildsystem=python_distutils
	mkdir -p debian/python-babel-doc/usr/share/doc/python-babel-doc/html
	cp -auxf docs/_build/* debian/python-babel-doc/usr/share/doc/python-babel-doc/html

override_dh_sphinxdoc:
	dh_sphinxdoc -O--buildsystem=python_distutils
	rm debian/python-babel-doc/usr/share/doc/python-babel-doc/html/_sources/license.txt

override_dh_auto_clean:
	rm -rf docs/_build build Babel.egg-info
	dh_auto_clean -O--buildsystem=python_distutils

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version

#ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
#override_dh_auto_test:
#	py.test tests
#endif

=== debian/watch ===
version=3
opts="dversionmangle=s/\+dfsg\.\d+$//" \
https://pypi.python.org/packages/source/B/Babel/Babel-([\d\.]+)\.tar\.gz debian debian/repack

## python-babel 2.3.4+dfsg.1

=== debian/changelog ===
python-babel (2.3.4+dfsg.1-2ubuntu1) zesty; urgency=medium

  * debian/patches/fix-test-get-timezone-name.patch: Cherry picked from
    upstream GH#411 to fix local timezone test failure.  This can be
    dropped for 2.4.0.
  * debian/rules: override_dh_sphinxdoc; the file that needs to be removed
    as redundant is now called license.rst.txt in the build documentation.
  * debian/control: update-maintainer

 -- Barry Warsaw <barry@ubuntu.com>  Wed, 05 Apr 2017 15:03:07 -0400

python-babel (2.3.4+dfsg.1-2) unstable; urgency=medium

  * Team upload.
  * debian/rules: Fix two invalid symlinks making babel unusable.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 16 May 2016 21:30:02 +0200

python-babel (2.3.4+dfsg.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release. (Closes: #824398)
    - Support 'Language' header. (Closes: #737547)
  * debian/rules:
    - Run dh_python3 with --shebang=/usr/bin/python3. (Closes: #815826)
    - Take care of localdata -> locale-data move.
    - Remove obsolete code to deal with wheezy.
  * debian/clean: Update files to clean.
  * debian/*.{postinst,preinst,prerm,postrm}: Remove obsolete dir to symlink
    handling. (Closes: #758785).
  * debian/*.postrm: Do not call update-alternatives in postrm.
  * debian/control:
    - Bump Standards-Version.
    - Add dh-python to B-D.
    - Remove python(3)-six. It is no longer needed.
    - Declare supported Python versions.
    - Drop python-pybabel transitional package.
  * debian/copyright:
    - Update copyright years.
    - Remove unused paragraph.
    - Fix order of paragraphs.
    - Fix license short name. (Closes: #779716)
  * debian/patches: Drop obsolete and backported patches.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 16 May 2016 18:42:52 +0200

python-babel (1.3+dfsg.1-7) unstable; urgency=high

  * Team upload.

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ Jean-Michel Vourgère ]
  * Made the build reproducible. Thanks to Val Lorentz. (Closes:
    #795997)
  * Rebuilt without python3.4. (Closes: #820202)

 -- Jean-Michel Vourgère <nirgal@debian.org>  Wed, 11 May 2016 01:03:58 +0200

python-babel (1.3+dfsg.1-6) unstable; urgency=medium

  * Team upload.
  * debian/copyright: Fill out the `Files: common/*` section to include
    the Unicode license agreement.  (Closes: #795594)
  * debian/control: Update Standards-Version to 3.9.6 with no other
    changes necessary.
  * d/patches/aa4165d.patch: Upstream patch to fix test suite with newer
    versions of pytz.
  * d/watch: Use the pypi.debian.net redirector.

 -- Barry Warsaw <barry@debian.org>  Wed, 16 Sep 2015 12:30:35 -0400

python-babel (1.3+dfsg.1-5) unstable; urgency=medium

  * Team upload.

  [ Thomas Viehmann ]
  * Call test suite with LC_ALL=C to avoid test failures. (Closes: #741834)

 -- Vincent Cheng <vcheng@debian.org>  Thu, 13 Nov 2014 23:06:03 -0800

python-babel (1.3+dfsg.1-4) unstable; urgency=medium

  * Fixed removal of pyshared folder stuff (that directory doesn't exist
    anymore in Sid/Testing). This fixes FTBFS (Closes: #751056).

 -- Thomas Goirand <zigo@debian.org>  Tue, 24 Jun 2014 06:53:40 +0000

python-babel (1.3+dfsg.1-3) unstable; urgency=medium

  * Uses an embedded copy of dir_to_symlink() from dpkg-maintscript-helper to
    allow easier backports to Wheezy (since there's no dpkg backport with that
    function in Wheezy).
  * Adds the use of six for unicode strings to allow easier backports to
    Python 3.2.
  * Version build-depends on python-pytest and python3-pytest.
  * Runs the unit test on build (Closes: #727616).
  * Removes sphinx.ext.intersphinx from docs/conf.py to avoid network access
    during the build.

 -- Thomas Goirand <zigo@debian.org>  Thu, 13 Feb 2014 15:57:04 +0800

python-babel (1.3+dfsg.1-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Really fix the directory to symlink conversion.  (Closes: #728427)
    Use dpkg-maintscript-helper dir_to_symlink which requires dpkg 1.17.5.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 19 Jan 2014 00:40:32 +0100

=== debian/rules ===
#!/usr/bin/make -f

export LC_TIME=C
export LANGUAGE=C

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_auto_build:
	dh_auto_build -O--buildsystem=python_distutils
	# Generate the localedata folder data out of the xml files
	# downloaded in debian/repack
	scripts/import_cldr.py common

override_dh_auto_install:
	set -e && for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-babel; \
	done
	set -e && for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-babel; \
	done
	mv debian/python-babel/usr/bin/pybabel debian/python-babel/usr/bin/pybabel-python2
	mv debian/python3-babel/usr/bin/pybabel debian/python3-babel/usr/bin/pybabel-python3

override_dh_python2:
	dh_python2 -O--buildsystem=python_distutils
	set -e && for pyvers in $(PYTHONS); do \
		rm debian/python-babel/usr/lib/python$$pyvers/dist-packages/babel/locale-data/*.dat ; \
		rmdir debian/python-babel/usr/lib/python$$pyvers/dist-packages/babel/locale-data ; \
		ln -s ../../../../share/python-babel-localedata/locale-data debian/python-babel/usr/lib/python$$pyvers/dist-packages/babel/locale-data ; \
		rm debian/python-babel/usr/lib/python$$pyvers/dist-packages/babel/global.dat ; \
		ln -s ../../../../share/python-babel-localedata/global.dat debian/python-babel/usr/lib/python$$pyvers/dist-packages/babel/global.dat ; \
	done

override_dh_python3:
	dh_python3 -O--buildsystem=python_distutils --shebang=/usr/bin/python3
	rm -r debian/python3-babel/usr/lib/python3/dist-packages/babel/locale-data ; \
	ln -s ../../../../share/python-babel-localedata/locale-data debian/python3-babel/usr/lib/python3/dist-packages/babel/locale-data ; \
	rm -r debian/python3-babel/usr/lib/python3/dist-packages/babel/global.dat ; \
	ln -s ../../../../share/python-babel-localedata/global.dat debian/python3-babel/usr/lib/python3/dist-packages/babel/global.dat ; \

override_dh_installdocs:
	sphinx-build docs docs/_build
	dh_installdocs -O--buildsystem=python_distutils
	mkdir -p debian/python-babel-doc/usr/share/doc/python-babel-doc/html
	sed -i "s/locale='en_US_POSIX'/locale=[system locale]/g" docs/_build/*/*.html
	cp -auxf docs/_build/* debian/python-babel-doc/usr/share/doc/python-babel-doc/html

override_dh_sphinxdoc:
	dh_sphinxdoc -O--buildsystem=python_distutils
	rm debian/python-babel-doc/usr/share/doc/python-babel-doc/html/_sources/license.rst.txt

override_dh_auto_clean:
	rm -rf docs/_build build Babel.egg-info
	dh_auto_clean -O--buildsystem=python_distutils

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	LC_ALL=C py.test
	LC_ALL=C py.test-3
endif

## python-babel 2.4.0%2Bdfsg.1

=== debian/changelog ===
python-babel (2.4.0+dfsg.1-2ubuntu1) artful; urgency=medium

  * d/p/allow-dash-underscore.patch: Cherry-pick patch from upstream master
    branch to allow both dash and underscore separated locale identifiers
    in pofiles.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 31 Jul 2017 10:39:21 -0400

python-babel (2.4.0+dfsg.1-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 18 Jun 2017 13:43:52 +0200

python-babel (2.4.0+dfsg.1-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
    - Fix the way a local time is constructed in tests. (Closes: #825727)
  * debian/rules: Update rm to work with Sphinx 1.5.
  * debian/copyright: Update copyright years.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 24 Apr 2017 20:27:01 +0200

## python-babel 2.4.0+dfsg.1

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,8 @@
 test: import-cldr
-	@py.test tests
+	@PYTHONWARNINGS=default python -m pytest
+
+test-cov: import-cldr
+	@PYTHONWARNINGS=default python -m pytest --cov=babel
 
 test-env:
 	@virtualenv test-env
@@ -18,8 +21,8 @@
 	@python scripts/download_import_cldr.py
 
 clean-cldr:
-	@rm babel/localedata/*.dat
-	@rm babel/global.dat
+	@rm -f babel/locale-data/*.dat
+	@rm -f babel/global.dat
 
 clean-pyc:
 	@find . -name '*.pyc' -exec rm {} \;

=== debian/changelog ===
python-babel (2.4.0+dfsg.1-2ubuntu1.1) bionic-security; urgency=medium

  * SECURITY UPDATE: Path traversal
    - debian/patches/CVE-2021-20095.patch: Run locale identifiers through
      `os.path.basename()` in babel/localedata.py and adding test in
      tests/test_localedata.py.
    - CVE-2021-20095

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Mon, 17 May 2021 15:44:41 -0300

=== debian/control ===
--- 
+++ 
@@ -5,34 +5,30 @@
 XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Christoph Haas <haas@debian.org>, Thomas Goirand <zigo@debian.org>
 Build-Depends: debhelper (>= 9),
+               dh-python,
                python-all (>= 2.6.6-3),
-               python-pytest,
+               python-pytest (>= 2.5.1),
                python-setuptools,
                python-sphinx | python3-sphinx,
                python-tz,
                python3-all,
+               python3-pytest (>= 2.5.1),
                python3-setuptools,
                python3-tz
-Standards-Version: 3.9.4
+Standards-Version: 3.9.8
 Homepage: http://babel.pocoo.org/
-Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-babel/trunk/
-Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-babel/trunk/
-
-Package: python-pybabel
-Architecture: all
-Section: oldlibs
-Depends: python-babel, ${misc:Depends}
-Description: tools for internationalizing Python applications (transitional dummy package)
- Babel is composed of two major parts. First tools to build and work with
- gettext message catalogs. Second a Python interface to the CLDR (Common
- Locale Data Repository), providing access to various locale display
- names, localized number and date formatting, etc.
- .
- This is a dummy package for transition from python-pybabel to python-babel.
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-babel.git
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-babel.git
+X-Python-Version: >= 2.6
+X-Python3-Version: >= 3.3
 
 Package: python-babel
 Architecture: all
-Depends: python-babel-localedata (= ${source:Version}), python-pkg-resources, ${misc:Depends}, ${python:Depends}
+Pre-Depends: ${misc:Pre-Depends}
+Depends: python-babel-localedata (= ${source:Version}),
+         python-pkg-resources,
+         ${misc:Depends},
+         ${python:Depends}
 Recommends: ${python:Recommends}
 Description: tools for internationalizing Python applications - Python 2.x
  Babel is composed of two major parts. First tools to build and work with
@@ -44,7 +40,11 @@
 
 Package: python3-babel
 Architecture: all
-Depends: python-babel-localedata (= ${source:Version}), python3-pkg-resources, ${misc:Depends}, ${python3:Depends}
+Pre-Depends: ${misc:Pre-Depends}
+Depends: python-babel-localedata (= ${source:Version}),
+         python3-pkg-resources,
+         ${misc:Depends},
+         ${python3:Depends}
 Recommends: ${python3:Recommends}
 Description: tools for internationalizing Python applications - Python 3.x
  Babel is composed of two major parts. First tools to build and work with

=== debian/rules ===
--- 
+++ 
@@ -53,7 +53,7 @@
 
 override_dh_sphinxdoc:
 	dh_sphinxdoc -O--buildsystem=python_distutils
-	rm debian/python-babel-doc/usr/share/doc/python-babel-doc/html/_sources/license.rst.txt
+	find debian/python-babel-doc/usr/share/doc/python-babel-doc/html/_sources/ -name license*.txt -delete
 
 override_dh_auto_clean:
 	rm -rf docs/_build build Babel.egg-info

## python-babel 2.6.0%2Bdfsg.1

=== debian/changelog ===
python-babel (2.6.0+dfsg.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * Convert git repository from git-dpm to gbp layout
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs

  [ Thomas Goirand ]
  * New upstream release.
  * Ran wrap-and-sort -bast.
  * Removed build-depends versions when satisfied in stable.
  * Removed now useless breaks+replaces in python-babel-doc.
  * Add python{3,}-freezegun as build-depends.
  * Build only with python3-sphinx.

 -- Thomas Goirand <zigo@debian.org>  Tue, 28 Aug 2018 22:17:16 +0200

## python-babel 2.6.0+dfsg.1

=== debian/changelog ===
python-babel (2.6.0+dfsg.1-1+deb10u1) buster-security; urgency=medium

  * CVE-2021-20095 (Closes: #987824)

 -- Moritz Mühlenhoff <jmm@debian.org>  Fri, 03 Dec 2021 17:26:10 +0100

=== debian/control ===
Source: python-babel
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Christoph Haas <haas@debian.org>,
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 9),
 dh-python,
 python-all,
 python-pytest,
 python-setuptools,
 python3-sphinx,
 python-tz,
 python3-all,
 python3-pytest,
 python3-setuptools,
 python3-tz,
Build-Depends-Indep:
 python-freezegun,
 python3-freezegun,
Standards-Version: 3.9.8
Homepage: http://babel.pocoo.org/
Vcs-Git: https://salsa.debian.org/python-team/modules/python-babel.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-babel

Package: python-babel
Architecture: all
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 python-babel-localedata (= ${source:Version}),
 python-pkg-resources,
 ${misc:Depends},
 ${python:Depends},
Recommends:
 ${python:Recommends},
Description: tools for internationalizing Python applications - Python 2.x
 Babel is composed of two major parts. First tools to build and work with
 gettext message catalogs. Second a Python interface to the CLDR (Common
 Locale Data Repository), providing access to various locale display
 names, localized number and date formatting, etc.
 .
 This package provides the Python 2.x module.

Package: python-babel-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: tools for internationalizing Python applications - documentation
 Babel is composed of two major parts. First tools to build and work with
 gettext message catalogs. Second a Python interface to the CLDR (Common
 Locale Data Repository), providing access to various locale display
 names, localized number and date formatting, etc.
 .
 This package contains the Babel documentation.

Package: python-babel-localedata
Architecture: all
Depends:
 ${misc:Depends},
Description: tools for internationalizing Python applications - locale data files
 Babel is composed of two major parts. First tools to build and work with
 gettext message catalogs. Second a Python interface to the CLDR (Common
 Locale Data Repository), providing access to various locale display
 names, localized number and date formatting, etc.
 .
 This package contains the locale data files used by both python-babel and
 python3-babel.

Package: python3-babel
Architecture: all
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 python-babel-localedata (= ${source:Version}),
 python3-pkg-resources,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 ${python3:Recommends},
Description: tools for internationalizing Python applications - Python 3.x
 Babel is composed of two major parts. First tools to build and work with
 gettext message catalogs. Second a Python interface to the CLDR (Common
 Locale Data Repository), providing access to various locale display
 names, localized number and date formatting, etc.
 .
 This package provides the Python 3.x module.

=== debian/rules ===
--- 
+++ 
@@ -45,7 +45,7 @@
 	ln -s ../../../../share/python-babel-localedata/global.dat debian/python3-babel/usr/lib/python3/dist-packages/babel/global.dat ; \
 
 override_dh_installdocs:
-	sphinx-build docs docs/_build
+	python3 -m sphinx docs docs/_build
 	dh_installdocs -O--buildsystem=python_distutils
 	mkdir -p debian/python-babel-doc/usr/share/doc/python-babel-doc/html
 	sed -i "s/locale='en_US_POSIX'/locale=[system locale]/g" docs/_build/*/*.html

## python-babel 2.8.0+dfsg.1

=== debian/changelog ===
python-babel (2.8.0+dfsg.1-7) unstable; urgency=medium

  * CVE-2021-20095: Relative Path Traversal in Babel 2.9.0 allows an attacker
    to load arbitrary locale files on disk and execute arbitrary code. Applied
    upstream patch: Run locale identifiers through `os.path.basename()`.
    (Closes: #987824).

 -- Thomas Goirand <zigo@debian.org>  Sat, 01 May 2021 17:13:14 +0200

python-babel (2.8.0+dfsg.1-6) unstable; urgency=medium

  * Fix doctest deprecation
    (Closes: #980673)
  * Add myself to uploaders

 -- Nilesh Patra <npatra974@gmail.com>  Thu, 21 Jan 2021 12:21:26 +0000

python-babel (2.8.0+dfsg.1-5) unstable; urgency=medium

  * Team Upload.
  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Nilesh Patra ]
  * Replace removed methods to fix python3.9 FTBFS (Closes: #975788)

 -- Nilesh Patra <npatra974@gmail.com>  Thu, 26 Nov 2020 17:32:00 +0530

python-babel (2.8.0+dfsg.1-4) unstable; urgency=medium

  * Team Upload.
  * Fix tests/test_util.py (Closes: #963402)
  * Bump compat version to 13
  * Fix pristine-tar with xz compression file

 -- Nilesh Patra <npatra974@gmail.com>  Wed, 29 Jul 2020 20:16:20 +0530

python-babel (2.8.0+dfsg.1-3) unstable; urgency=medium

  * Drop python2 support; Closes: #937596

 -- Sandro Tosi <morph@debian.org>  Fri, 27 Mar 2020 22:47:20 -0400

python-babel (2.8.0+dfsg.1-2) unstable; urgency=medium

  * Team upload
  * Remove python2 dependencies which is deleted
  * Disable upstream testsuite for python2
  * Add 0003-Revert-upstream-issue-621.patch

 -- Håvard Flaget Aasen <haavard_aasen@yahoo.no>  Wed, 19 Feb 2020 21:56:42 +0100

python-babel (2.8.0+dfsg.1-1) unstable; urgency=medium

  * Team upload
  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Håvard Flaget Aasen ]
  * New upstream version 2.8.0+dfsg.1
    Changes in new release closes: #950062
  * Update URI in d/repack
    CLDR version 36
  * d/copyright, update copyright year
  * d/control
    - Update Standards-Version to 4.5.0
    - Bump debhelper to 12
    - Add Rules-Requires-Root: no
  * Add 0002-remove-google-fonts.patch
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * d/rules
    - Change buildsystem to pybuild
    - Create missing directory in override_dh_auto_build
    - Copy AUTHOR file in *.doc package, remove d/python-babel-doc.docs
    - Change how python versions is acquired from the shell.
    - Removed get-orig-source

 -- Håvard Flaget Aasen <haavard_aasen@yahoo.no>  Wed, 12 Feb 2020 17:56:36 +0100

=== debian/control ===
--- 
+++ 
@@ -1,48 +1,26 @@
 Source: python-babel
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Christoph Haas <haas@debian.org>,
  Thomas Goirand <zigo@debian.org>,
+ Nilesh Patra <nilesh@debian.org>
 Build-Depends:
- debhelper (>= 9),
+ debhelper-compat (= 13),
  dh-python,
- python-all,
- python-pytest,
- python-setuptools,
  python3-sphinx,
- python-tz,
  python3-all,
  python3-pytest,
  python3-setuptools,
  python3-tz,
 Build-Depends-Indep:
- python-freezegun,
  python3-freezegun,
-Standards-Version: 3.9.8
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: http://babel.pocoo.org/
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-babel.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-babel
-
-Package: python-babel
-Architecture: all
-Pre-Depends:
- ${misc:Pre-Depends},
-Depends:
- python-babel-localedata (= ${source:Version}),
- python-pkg-resources,
- ${misc:Depends},
- ${python:Depends},
-Recommends:
- ${python:Recommends},
-Description: tools for internationalizing Python applications - Python 2.x
- Babel is composed of two major parts. First tools to build and work with
- gettext message catalogs. Second a Python interface to the CLDR (Common
- Locale Data Repository), providing access to various locale display
- names, localized number and date formatting, etc.
- .
- This package provides the Python 2.x module.
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-babel.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-babel
 
 Package: python-babel-doc
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

export LC_TIME=C
export LANGUAGE=C

PYTHON3S:=$(shell py3versions -sv)

%:
	dh $@ --buildsystem=pybuild --with python3,sphinxdoc

override_dh_auto_build:
	dh_auto_build
	# Generate the localedata folder data out of the xml files
	# downloaded in debian/repack
	mkdir -pv babel/locale-data/
	python3 scripts/import_cldr.py common

override_dh_auto_install:
	set -e && for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-babel; \
	done
	mv debian/python3-babel/usr/bin/pybabel debian/python3-babel/usr/bin/pybabel-python3

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3
	rm -r debian/python3-babel/usr/lib/python3/dist-packages/babel/locale-data ; \
	ln -s ../../../../share/python-babel-localedata/locale-data debian/python3-babel/usr/lib/python3/dist-packages/babel/locale-data ; \
	rm -r debian/python3-babel/usr/lib/python3/dist-packages/babel/global.dat ; \
	ln -s ../../../../share/python-babel-localedata/global.dat debian/python3-babel/usr/lib/python3/dist-packages/babel/global.dat ; \

override_dh_installdocs:
	python3 -m sphinx docs docs/_build
	dh_installdocs
	mkdir -p debian/python-babel-doc/usr/share/doc/python-babel-doc/html
	sed -i "s/locale='en_US_POSIX'/locale=[system locale]/g" docs/_build/*/*.html
	cp -auxf docs/_build/* debian/python-babel-doc/usr/share/doc/python-babel-doc/html
	cp AUTHORS debian/python-babel-doc/usr/share/doc/python-babel-doc/

override_dh_sphinxdoc:
	dh_sphinxdoc
	find debian/python-babel-doc/usr/share/doc/python-babel-doc/html/_sources/ -name license*.txt -delete

override_dh_auto_clean:
	rm -rf docs/_build build Babel.egg-info
	dh_auto_clean

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	LC_ALL=C py.test-3
endif

## python-babel 2.10.3

=== docs/requirements.txt ===
Sphinx~=4.4.0

=== debian/changelog ===
python-babel (2.10.3-3build1) noble; urgency=medium

  * Rebuild against 'armhf -fstack-clash-protection breakage rebuild
    with fixed dpkg'.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 24 Nov 2023 11:19:08 +0100

python-babel (2.10.3-3) unstable; urgency=medium

  * Refresh patches
  * Add patch to fix FTBFS with sphinx7.1 (Closes: #1042654)

 -- Nilesh Patra <nilesh@debian.org>  Thu, 09 Nov 2023 01:31:53 +0530

python-babel (2.10.3-2) unstable; urgency=medium

  * Add patch to fix FTBFS with new tzdata (Closes: #1052858)
  * Bump Standards-Version to 4.6.2 (no changes needed)

 -- Nilesh Patra <nilesh@debian.org>  Wed, 11 Oct 2023 03:11:16 +0530

python-babel (2.10.3-1) unstable; urgency=medium

  * Team upload.
  * Apply multi-arch hints.
    + python-babel-doc, python-babel-localedata: Add Multi-Arch: foreign.
  * Use secure URI in Homepage field.
  * Update standards version to 4.5.1, no changes needed.
  * Prevent repack.
  * New upstream version 2.10.3.
  * Drop upstream patches.
  * Mark the package with the appropriate Built-Using fields.

 -- Bastian Germann <bage@debian.org>  Tue, 27 Sep 2022 19:44:32 +0200

=== debian/control ===
--- 
+++ 
@@ -16,9 +16,10 @@
  python3-tz,
 Build-Depends-Indep:
  python3-freezegun,
-Standards-Version: 4.5.0
+ unicode-cldr-core,
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
-Homepage: http://babel.pocoo.org/
+Homepage: https://babel.pocoo.org/
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-babel.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-babel
 
@@ -28,6 +29,9 @@
 Depends:
  ${misc:Depends},
  ${sphinxdoc:Depends},
+Built-Using:
+ ${sphinxdoc:Built-Using},
+Multi-Arch: foreign
 Description: tools for internationalizing Python applications - documentation
  Babel is composed of two major parts. First tools to build and work with
  gettext message catalogs. Second a Python interface to the CLDR (Common
@@ -40,6 +44,9 @@
 Architecture: all
 Depends:
  ${misc:Depends},
+Built-Using:
+ ${Built-Using},
+Multi-Arch: foreign
 Description: tools for internationalizing Python applications - locale data files
  Babel is composed of two major parts. First tools to build and work with
  gettext message catalogs. Second a Python interface to the CLDR (Common
@@ -58,8 +65,8 @@
  python3-pkg-resources,
  ${misc:Depends},
  ${python3:Depends},
-Recommends:
- ${python3:Recommends},
+Built-Using:
+ ${Built-Using},
 Description: tools for internationalizing Python applications - Python 3.x
  Babel is composed of two major parts. First tools to build and work with
  gettext message catalogs. Second a Python interface to the CLDR (Common

=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 	# Generate the localedata folder data out of the xml files
 	# downloaded in debian/repack
 	mkdir -pv babel/locale-data/
-	python3 scripts/import_cldr.py common
+	python3 scripts/import_cldr.py /usr/share/unicode/cldr/common
 
 override_dh_auto_install:
 	set -e && for pyvers in $(PYTHON3S); do \
@@ -45,6 +45,9 @@
 	rm -rf docs/_build build Babel.egg-info
 	dh_auto_clean
 
+override_dh_gencontrol:
+	dh_gencontrol -- -VBuilt-Using="$(shell dpkg-query -f '$${source:Package} (= $${source:Version}), ' -W unicode-cldr-core)"
+
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 	LC_ALL=C py.test-3

=== debian/watch ===
version=4
https://github.com/python-babel/babel/tags .*/v([\d\.]+)\.tar\.gz

## python-babel 2.14.0

=== debian/changelog ===
python-babel (2.14.0-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 2.14.0
  * Drop merged patches
  * Refresh existing patches
  * Add upstream patch to adjust data/tests in accordance
    with cldr 44 (Closes: #1060931)
  * Drop myself from uploaders

 -- Nilesh Patra <nilesh@iki.fi>  Tue, 16 Apr 2024 18:14:49 +0530

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,7 @@
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Christoph Haas <haas@debian.org>,
- Thomas Goirand <zigo@debian.org>,
- Nilesh Patra <nilesh@debian.org>
+ Thomas Goirand <zigo@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,

## python-babel 2.16.0

=== debian/changelog ===
python-babel (2.16.0-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 2.16.0 (Closes: #1083600)
  * Adapt CLDR 44 patch to also support upcoming CLDR 46.
  * Use dh-sequence-python3

 -- Alexandre Detiste <tchet@debian.org>  Tue, 12 Nov 2024 20:53:41 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  Thomas Goirand <zigo@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
  python3-sphinx,
  python3-all,
  python3-pytest,

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 PYTHON3S:=$(shell py3versions -sv)
 
 %:
-	dh $@ --buildsystem=pybuild --with python3,sphinxdoc
+	dh $@ --buildsystem=pybuild --with sphinxdoc
 
 override_dh_auto_build:
 	dh_auto_build

## python-babel 2.17.0

=== debian/changelog ===
python-babel (2.17.0-2) unstable; urgency=medium

  * Team upload.
  * Replace old py.test-3 symlink with canonical program
  * Drop "Rules-Requires-Root: no": it is the default now
  * Bump Standards-Version to 4.7.2
  * Replace transitional python3-tz with python3-pytz
  * Add debian/salsa-ci.yml
  * Rewrite d/watch in v5 format

 -- Alexandre Detiste <tchet@debian.org>  Wed, 03 Dec 2025 14:22:31 +0100

python-babel (2.17.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.17.0 (Closes: #1090266)
  * Refresh patches
  * Remove extraneous dependency on python3-pkg-resources

 -- Alexandre Detiste <tchet@debian.org>  Sun, 02 Feb 2025 23:00:06 +0100

=== debian/control ===
--- 
+++ 
@@ -11,13 +11,12 @@
  python3-sphinx,
  python3-all,
  python3-pytest,
+ python3-pytz,
  python3-setuptools,
- python3-tz,
 Build-Depends-Indep:
  python3-freezegun,
  unicode-cldr-core,
-Standards-Version: 4.6.2
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Homepage: https://babel.pocoo.org/
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-babel.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-babel
@@ -61,7 +60,6 @@
  ${misc:Pre-Depends},
 Depends:
  python-babel-localedata (= ${source:Version}),
- python3-pkg-resources,
  ${misc:Depends},
  ${python3:Depends},
 Built-Using:

=== debian/rules ===
--- 
+++ 
@@ -8,8 +8,7 @@
 %:
 	dh $@ --buildsystem=pybuild --with sphinxdoc
 
-override_dh_auto_build:
-	dh_auto_build
+execute_after_dh_auto_build:
 	# Generate the localedata folder data out of the xml files
 	# downloaded in debian/repack
 	mkdir -pv babel/locale-data/
@@ -37,18 +36,16 @@
 	cp -auxf docs/_build/* debian/python-babel-doc/usr/share/doc/python-babel-doc/html
 	cp AUTHORS debian/python-babel-doc/usr/share/doc/python-babel-doc/
 
-override_dh_sphinxdoc:
-	dh_sphinxdoc
+execute_after_dh_sphinxdoc:
 	find debian/python-babel-doc/usr/share/doc/python-babel-doc/html/_sources/ -name license*.txt -delete
 
-override_dh_auto_clean:
+execute_before_dh_auto_clean:
 	rm -rf docs/_build build Babel.egg-info
-	dh_auto_clean
 
 override_dh_gencontrol:
 	dh_gencontrol -- -VBuilt-Using="$(shell dpkg-query -f '$${source:Package} (= $${source:Version}), ' -W unicode-cldr-core)"
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	LC_ALL=C py.test-3
+	LC_ALL=C pytest
 endif

=== debian/watch ===
Version: 5

Template: GitHub
Owner: python-babel
Project: babel
